org.jbpm.process.workitem.email

## Class Message

- java.lang.Object
- - org.jbpm.process.workitem.email.Message

-     public class Message
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<String>` | `getAttachments()`
    `String` | `getBody()`
    `String` | `getDisplayName()`
    `String` | `getDocumentFormat()`
    `String` | `getFrom()`
    `Recipients` | `getRecipients()`
    `String` | `getReplyTo()`
    `String` | `getSubject()`
    `boolean` | `hasAttachment()`
    `int` | `hashCode()`
    `void` | `setAttachments(List<String> attachments)`
    `void` | `setBody(String body)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setDocumentFormat(String documentFormat)`
    `void` | `setFrom(String from)`
    `void` | `setRecipients(Recipients recipients)`
    `void` | `setReplyTo(String replyTo)`
    `void` | `setSubject(String subject)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message()

  - ### Method Detail

    - #### getRecipients

          public Recipients getRecipients()

    - #### setRecipients

          public void setRecipients(Recipients recipients)

    - #### getFrom

          public String getFrom()

    - #### setFrom

          public void setFrom(String from)

    - #### getReplyTo

          public String getReplyTo()

    - #### setReplyTo

          public void setReplyTo(String replyTo)

    - #### getDocumentFormat

          public String getDocumentFormat()

    - #### setDocumentFormat

          public void setDocumentFormat(String documentFormat)

    - #### getSubject

          public String getSubject()

    - #### setSubject

          public void setSubject(String subject)

    - #### getBody

          public String getBody()

    - #### setBody

          public void setBody(String body)

    - #### getAttachments

          public List<String> getAttachments()

    - #### setAttachments

          public void setAttachments(List<String> attachments)

    - #### hasAttachment

          public boolean hasAttachment()

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.